Evidently there's a reason for this warning.